commit:     f224f73f549c91c94eff6ba77973b08ccb28fa62
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 13 01:46:23 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Sep 13 01:47:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f224f73f

games-action/battalion: add desktop entry and missing || die

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-action/battalion/battalion-1.4b-r2.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/games-action/battalion/battalion-1.4b-r2.ebuild 
b/games-action/battalion/battalion-1.4b-r2.ebuild
index 4d03d116cfb..cf5a5613754 100644
--- a/games-action/battalion/battalion-1.4b-r2.ebuild
+++ b/games-action/battalion/battalion-1.4b-r2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit toolchain-funcs
+inherit desktop toolchain-funcs
 
 DESCRIPTION="Be a rampaging monster and destroy the city"
 HOMEPAGE="https://www.evl.uic.edu/aej/AndyBattalion.html";
@@ -36,7 +36,7 @@ src_prepare() {
                -e "/getenv.*SCOREDIR/s|= .*|= \"${EPREFIX}/var/games\";|" \
                -i battalion.c || die
 
-       sed '1s/1/6/' ../${PN}SUN4/${PN}.man > "${T}"/${PN}.6
+       sed '1s/1/6/' ../${PN}SUN4/${PN}.man > "${T}"/${PN}.6 || die
 
        # Only .raw sound files are used on Linux. The .au files are not needed.
        rm {SOUNDS,MUSIC}/*.au || die
@@ -63,6 +63,8 @@ src_install() {
        fowners :gamestat /usr/bin/${PN} /var/games/${PN}_hiscore
        fperms g+s /usr/bin/${PN}
        fperms 660 /var/games/${PN}_hiscore
+
+       make_desktop_entry ${PN} ${PN^} applications-games
 }
 
 pkg_postinst() {

Reply via email to